会員自由項目ラベル一覧取得
GET
/customers/custom_field_labels
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/custom_field_labels';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/custom_field_labels \ --header 'Authorization: Bearer <token>'会員自由項目ラベル情報一覧を取得します。
対象プラン
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
no:会員自由項目番号
limit
integer
上限数
page
integer
ページ
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
no
会員自由項目番号
integer
label
会員自由項目名
string
Example
[ { "no": 1, "label": "string" }]- 入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example入力チェックエラーの場合
{ "type": "about:blank", "title": "Bad Request", "detail": "[sort] 指定可能なパラメータを指定してください", "status": 400}